org.springframework.messaging.simp.stomp

## Interface StompSession.Receiptable

All Known Subinterfaces:
  StompSession.Subscription

Enclosing interface:
  StompSession

    public static interface StompSession.Receiptable

A handle to use to track receipts.

See Also:
  `StompSession.setAutoReceipt(boolean)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addReceiptLostTask(Runnable runnable)` Task to invoke when a receipt is not received in the configured time.
`void` `addReceiptTask(Runnable runnable)` Task to invoke when a receipt is received.
`String` `getReceiptId()` Return the receipt id, or `null` if the STOMP frame for which the handle was returned did not have a "receipt" header.

### Method Detail

#### getReceiptId

    @Nullable
    String getReceiptId()

Return the receipt id, or `null` if the STOMP frame for which the handle was returned did not have a "receipt" header.

#### addReceiptTask

    void addReceiptTask(Runnable runnable)

Task to invoke when a receipt is received.

Throws:
  `IllegalArgumentException` - if the receiptId is `null`

#### addReceiptLostTask

    void addReceiptLostTask(Runnable runnable)

Task to invoke when a receipt is not received in the configured time.

Throws:
  `IllegalArgumentException` - if the receiptId is `null`
See Also:
  `StompClientSupport.setReceiptTimeLimit(long)`